Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet
Class NoSuchPortletException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.portal.portlet.PortletInvokerException
                  org.jboss.portal.portlet.InvalidPortletIdException
                      org.jboss.portal.portlet.NoSuchPortletException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchPortletException

extends InvalidPortletIdException

Thrown by the portlet invoker when a portlet id does not exist.

Version:
  $Revision: 5989 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`NoSuchPortletException(java.lang.String portletId)`
`NoSuchPortletException(java.lang.String message, java.lang.String portletId)`
`NoSuchPortletException(java.lang.String message, java.lang.Throwable cause, java.lang.String portletId)`
`NoSuchPortletException(java.lang.Throwable cause, java.lang.String portletId)`

Method Summary

Methods inherited from class org.jboss.portal.portlet.InvalidPortletIdException
`getPortletId`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchPortletException

    public NoSuchPortletException(java.lang.String portletId)

### NoSuchPortletException

    public NoSuchPortletException(java.lang.String message,
                                  java.lang.String portletId)

### NoSuchPortletException

    public NoSuchPortletException(java.lang.Throwable cause,
                                  java.lang.String portletId)

### NoSuchPortletException

    public NoSuchPortletException(java.lang.String message,
                                  java.lang.Throwable cause,
                                  java.lang.String portletId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD